### Hierarchy

- Recording

## Index

### Enumerations

- Status

### Constructors

- constructor

### Properties

- createdAt
- duration
- hasAudio
- hasVideo
- id
- name
- recordingLayout
- sessionId
- size
- status
- url

## Constructors

### constructor

- new Recording(json: JSON): Recording

- - Defined in Recording.ts:77

  #### Parameters

  - ##### json: JSON

  #### Returns Recording

## Properties

### createdAt

createdAt: number

- Defined in Recording.ts:35

Time when the recording started in UTC milliseconds

### duration

duration: number = 0

- Defined in Recording.ts:45

Duration of the recording in seconds (0 until the recording is stopped)

### hasAudio

hasAudio: boolean = true

- Defined in Recording.ts:55

`true` if the recording has an audio track, `false` otherwise (currently fixed to true)

### hasVideo

hasVideo: boolean = true

- Defined in Recording.ts:60

`true` if the recording has a video track, `false` otherwise (currently fixed to true)

### id

id: string

- Defined in Recording.ts:25

Recording unique identifier

### name

name: string

- Defined in Recording.ts:72

Name of the Recording. The video file will be named after this property. You can access this same value in your clients on recording events (`recordingStarted`, `recordingStopped`)

### recordingLayout

recordingLayout: RecordingLayout

- Defined in Recording.ts:77

The layout used in this Recording

### sessionId

sessionId: string

- Defined in Recording.ts:30

Session associated to the recording

### size

size: number = 0

- Defined in Recording.ts:40

Size of the recording in bytes (0 until the recording is stopped)

### status

status: Status

- Defined in Recording.ts:65

Status of the recording

### url

url: string

- Defined in Recording.ts:50

URL of the recording. You can access the file from there. It is `null` until recording is stopped or if OpenVidu Server configuration property `openvidu.recording.public-access` is false

Generated using TypeDoc